extends Node

var secs: float = 0
var is_equipped: bool = false

# This works
# func _ready() -> void:
# 	var skeleton = get_node("Cube_Guy/Cube_Guy_Armature/Skeleton3D")
# 	var hat = load("res://Cube_Guy_Hat.tscn") as PackedScene
# 	skeleton.add_child(hat.instantiate())

# This crashes
func _process(delta: float) -> void:
	if secs < 1:
		secs += delta
		return

	if is_equipped:
		return

	is_equipped = true
	var skeleton = get_node("Cube_Guy/Cube_Guy_Armature/Skeleton3D")
	var hat = load("res://Cube_Guy_Hat.tscn") as PackedScene
	skeleton.add_child(hat.instantiate())
